Summary:	Utility to clone and restore partitions
Name:		partclone
Version:	0.2.58
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/partclone/%{name}-%{version}.tar.gz
# Source0-md5:	8d8edeab8a0ce430d2e00efcc25f4ce7
Patch0:		automake.patch
URL:		http://partclone.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext-devel
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	ntfs-3g-devel
BuildRequires:	pkgconfig >= 0.9.0
#BuildRequires:	progsreiserfs-devel
#BuildRequires:	reiser4progs-devel
#BuildRequires:	xfsprogs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Partclone is a project like the well-known backup utility "Partition
Image" a.k.a partimage.

Partclone provides utilities to back up used blocks and design for
higher compatibility of the file system using supported library like
e2fslibs.

%prep
%setup -q
%patch0 -p1

#sed -e 's|libxfs.h|xfs.h|' -i configure.ac -i src/xfsclone.[ch]
sed -e 's|ncurses.h|ncurses/ncurses.h|' -i configure.ac -i src/{partclone,progress}.c

mv po/fr_FR.gmo po/fr.gmo
mv po/fr_FR.po po/fr.po
sed -i 's/fr_FR/fr/' po/LINGUAS

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
export LIBS=-ltinfo
%configure \
	--enable-extfs \
	--enable-hfsp \
	--enable-fat \
	--enable-ntfs \
	--enable-btrfs \
	--enable-ncursesw
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_sbindir}/partclone.btrfs
%attr(755,root,root) %{_sbindir}/partclone.chkimg
%attr(755,root,root) %{_sbindir}/partclone.dd
%attr(755,root,root) %{_sbindir}/partclone.ext2
%attr(755,root,root) %{_sbindir}/partclone.ext3
%attr(755,root,root) %{_sbindir}/partclone.ext4
%attr(755,root,root) %{_sbindir}/partclone.ext4dev
%attr(755,root,root) %{_sbindir}/partclone.extfs
%attr(755,root,root) %{_sbindir}/partclone.fat
%attr(755,root,root) %{_sbindir}/partclone.fat12
%attr(755,root,root) %{_sbindir}/partclone.fat16
%attr(755,root,root) %{_sbindir}/partclone.fat32
%attr(755,root,root) %{_sbindir}/partclone.hfs+
%attr(755,root,root) %{_sbindir}/partclone.hfsp
%attr(755,root,root) %{_sbindir}/partclone.hfsplus
%attr(755,root,root) %{_sbindir}/partclone.info
%attr(755,root,root) %{_sbindir}/partclone.ntfs
%attr(755,root,root) %{_sbindir}/partclone.ntfsfixboot
%attr(755,root,root) %{_sbindir}/partclone.ntfsreloc
%attr(755,root,root) %{_sbindir}/partclone.restore
%attr(755,root,root) %{_sbindir}/partclone.vfat
%{_mandir}/man8/partclone.btrfs.8*
%{_mandir}/man8/partclone.chkimg.8*
%{_mandir}/man8/partclone.dd.8*
%{_mandir}/man8/partclone.ext2.8*
%{_mandir}/man8/partclone.ext3.8*
%{_mandir}/man8/partclone.ext4.8*
%{_mandir}/man8/partclone.ext4dev.8*
%{_mandir}/man8/partclone.extfs.8*
%{_mandir}/man8/partclone.fat12.8*
%{_mandir}/man8/partclone.fat16.8*
%{_mandir}/man8/partclone.fat32.8*
%{_mandir}/man8/partclone.hfs+.8*
%{_mandir}/man8/partclone.hfsplus.8*
%{_mandir}/man8/partclone.info.8*
%{_mandir}/man8/partclone.ntfs.8*
%{_mandir}/man8/partclone.restore.8*
%{_mandir}/man8/partclone.vfat.8*
%{_mandir}/man8/partclone.8.*
%{_mandir}/man8/partclone.fat.8*
%{_mandir}/man8/partclone.hfsp.8*
%{_mandir}/man8/partclone.ntfsfixboot.8*
%{_mandir}/man8/partclone.ntfsreloc.8*
%changelog
* Sun Jul 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/partclone.git;a=log;h=master

* Tue Feb 26 2013 Arkadiusz Patyk <areq@pld-linux.org> c6e0024
- 0.2.58

* Sun Feb 10 2013 Artur Frysiak <artur@frysiak.net> 332a52d
- Up to 0.2.48

* Sat Oct 29 2011 areq <areq@pld-linux.org> 262e8cb
- 0.2.33

* Sat Oct 15 2011 areq <areq@pld-linux.org> 4e8d0a3
- 0.2.31

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 877a348
- release 3

* Sun Jul 24 2011 areq <areq@pld-linux.org> d7bc722
- ntfs-3g hack

* Sun May 29 2011 areq <areq@pld-linux.org> af140e6
- 0.2.24

* Sat Apr 30 2011 areq <areq@pld-linux.org> 2c39ef8
- 2.2.23

* Wed Apr 13 2011 areq <areq@pld-linux.org> 6d36a73
- 0.2.22

* Thu Mar 17 2011 areq <areq@pld-linux.org> 237ece1
- 0.2.20

* Thu Mar 10 2011 areq <areq@pld-linux.org> 556b9ff
- 0.2.19

* Sat Feb 05 2011 areq <areq@pld-linux.org> 7117754
- s/fr_FR/fr/

* Sat Feb 05 2011 areq <areq@pld-linux.org> 5dde68a
- 0.2.17

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 6ea24c5
- BR: gettext-devel

* Sat Sep 04 2010 Tomasz Pala <gotar@pld-linux.org> 970bc19
- fix for new direct-only DSO linking

* Sat Sep 04 2010 Tomasz Pala <gotar@pld-linux.org> 480b475
- MD5

* Sat Sep 04 2010 Tomasz Pala <gotar@pld-linux.org> 52b3ea8
- initial PLD release

